org.deidentifier.arx.gui.view.impl.common.datatable

## Class DataTableResizeColumnAction

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.datatable.DataTableResizeColumnAction

All Implemented Interfaces:
  org.eclipse.nebula.widgets.nattable.ui.action.IMouseAction

    public class DataTableResizeColumnAction
    extends java.lang.Object
    implements org.eclipse.nebula.widgets.nattable.ui.action.IMouseAction

Resize column action that only fires for smaller datasets

Author:
  Florian Kohlmayer

### Constructor Summary

Constructors
Constructor and Description
`DataTableResizeColumnAction(org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer bodyDataLayer)` Construct

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run(org.eclipse.nebula.widgets.nattable.NatTable paramNatTable, org.eclipse.swt.events.MouseEvent paramMouseEvent)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataTableResizeColumnAction

    public DataTableResizeColumnAction(org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer bodyDataLayer)

Construct

Parameters:
  `bodyDataLayer` -

### Method Detail

#### run

    public void run(org.eclipse.nebula.widgets.nattable.NatTable paramNatTable,
                    org.eclipse.swt.events.MouseEvent paramMouseEvent)

Specified by:
  `run` in interface `org.eclipse.nebula.widgets.nattable.ui.action.IMouseAction`